Trends with no data should provide a warning message - e.g. No data yet
Description

When I specify range in Monitor -> Trends -> <my_architecture_trend>, it does not seem to apply to the graph.

I have this trend:

Fact Name    Display Name

architecture     Somename

Value    Display Name

x86_64    x86_64

 and when I click at it, sub heading of the graph changes from "last 30 days" to, say, "last 15 days", but x-axe labels do not move or

change. Also I have the Satellite 6 system installed only for ~5 days, so majority of the interval there have to be gap.

# rpm -qa | grep -e katello -e foreman

foreman-1.5.0.10-1.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-6.el6sat.noarch

foreman-ovirt-1.5.0.10-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-apache-1.0-1.noarch

ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch

rubygem-katello_api-0.0.8-2.el6sat.noarch

katello-1.5.0-18.el6sat.noarch

foreman-proxy-1.5.3-1.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

rubygem-hammer_cli_foreman-0.0.18-8.el6sat.noarch

katello-installer-0.0.30-1.el6sat.noarch

foreman-libvirt-1.5.0.10-1.el6sat.noarch

smqa-x3550m3-01.lab.eng.brq.redhat.com-foreman-client-1.0-1.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

foreman-vmware-1.5.0.10-1.el6sat.noarch

foreman-postgresql-1.5.0.10-1.el6sat.noarch

smqa-x3550m3-01.lab.eng.brq.redhat.com-foreman-proxy-1.0-1.noarch

foreman-compute-1.5.0.10-1.el6sat.noarch

rubygem-foreman_api-0.1.11-4.el6sat.noarch

ruby193-rubygem-katello-1.5.0-23.el6sat.noarch

Associated revisions

Revision e06167e0 - 07/22/2015 06:29 AM - Shimon Shtein

Fixes #4830 - Added a new template to show when no trend data is collected.

History

#1 - 03/25/2014 09:48 AM - Dominic Cleal
- Category set to Trends

#2 - 02/04/2015 10:18 AM - Shimon Shtein

- Status changed from New to Need more information

- Assignee set to Shimon Shtein

What are the exact steps to reproduce it?

#3 - 02/04/2015 10:25 AM - Shimon Shtein

If it's possible, look at the HTML source of the graph. There should be a <div> with class "statistics-chart", I am interested in the value of the

"data-series" attribute. Be aware, it contains the group labels that are shown under the graph, if they are sensitive, please substitute them.

#4 - 02/18/2015 03:12 PM - Jan Hutař

Hi, looks like this was either already fixed or what I have seen was empty graph ('foreman-rake trends:counter' not run after trend was created) i.e.

this:

&lt;div class=&quot;stats-well col-md-12&quot;&gt;

    &lt;h4 class=&quot;ca&quot;&gt;Somename2&lt;/h4&gt;

    &lt;h6 class=&quot;ca&quot;&gt;last 30 days&lt;/h6&gt;

    &lt;div class=&quot;statistics-chart stack&quot; data-legend-options=&quot;external&quot; data-series=&quo

t;[]&quot; data-xaxis-label=&quot;&quot; data-yaxis-label=&quot;Number of Hosts&quot; id=&quot;trend_graph&quo

t;&gt;&lt;/div&gt;

  &lt;/div&gt;

 In this case I would expect some notice in the graph or somewhere like "No data yet".

I have tested small trend (as per initial comment) with some data and it appears correctly:

&lt;div class=&quot;stats-well col-md-12&quot;&gt;

    &lt;h4 class=&quot;ca&quot;&gt;Somename&lt;/h4&gt;

    &lt;h6 class=&quot;ca&quot;&gt;last 30 days&lt;/h6&gt;

    &lt;div class=&quot;statistics-chart stack&quot; data-legend-options=&quot;external&quot; data-series=&quo

t;[{&amp;quot;label&amp;quot;:&amp;quot;x86_64&amp;quot;,&amp;quot;href&amp;quot;:&amp;quot;/trends/2-x86_64&a

mp;quot;,&amp;quot;data&amp;quot;:[[1424289552000,2],[1424289641000,2],[1424289683000,2]],&amp;quot;color&amp;

quot;:&amp;quot;#4572A7&amp;quot;}]&quot; data-xaxis-label=&quot;&quot; data-yaxis-label=&quot;Number of Hosts

&quot; id=&quot;trend_graph&quot;&gt;&lt;/div&gt;

  &lt;/div&gt;

 So if you are not willing to keep this bug for that "No data yet" notice in case there are no data, I'm OK if you close this bug as WORKSFORME or

something.

#5 - 02/18/2015 03:15 PM - Jan Hutař

Sorry for that escaped HTML. I have just pasted it and looks like some formatting was required :-/

#6 - 07/05/2015 04:04 AM - Ohad Levy

- Subject changed from when I specify range in Monitor -> Trends -> <my_architecture_trend>, it does not seem to apply to the graph to Trends with

no data should provide a warning message - e.g. No data yet

- Status changed from Need more information to New

#7 - 07/05/2015 06:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2515 added

- Pull request deleted ()

#8 - 07/22/2015 06:31 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#9 - 07/22/2015 07:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e06167e08155b41a5729467ffc1f5ce0a5e61745.
